メインコンテンツへスキップ
GET
/
crm
/
v3
/
properties
/
{objectType}
全てのプロパティーを読み取る
curl --request GET \
  --url https://api.hubapi.com/crm/v3/properties/{objectType} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/crm/v3/properties/{objectType}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/crm/v3/properties/{objectType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "displayOrder": 2,
      "fieldType": "select",
      "formField": true,
      "groupName": "contactinformation",
      "hasUniqueValue": false,
      "hidden": false,
      "label": "My Contact Property",
      "modificationMetadata": {
        "archivable": true,
        "readOnlyDefinition": false,
        "readOnlyOptions": false,
        "readOnlyValue": false
      },
      "name": "my_contact_property",
      "options": [
        {
          "description": "Choice number one",
          "displayOrder": 1,
          "hidden": false,
          "label": "Option A",
          "value": "A"
        },
        {
          "description": "Choice number two",
          "displayOrder": 2,
          "hidden": false,
          "label": "Option B",
          "value": "B"
        }
      ],
      "type": "enumeration"
    }
  ]
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

objectType
string
必須

クエリパラメータ

archived
boolean
デフォルト:false

アーカイブ済みの結果のみを返すかどうか。

dataSensitivity
enum<string>
デフォルト:non_sensitive
利用可能なオプション:
highly_sensitive,
non_sensitive,
sensitive
locale
string
properties
string

レスポンス

successful operation

results
object[]
必須
最終更新日 2026年4月10日